Call ends with several warnings

Bug #1368438 reported by Renato Araujo Oliveira Filho on 2014-09-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Unassigned
dialer-app
Medium
Gustavo Pichorim Boiko
dialer-app (Ubuntu)
Undecided
Unassigned
dialer-app (Ubuntu RTM)
Undecided
Gustavo Pichorim Boiko

Bug Description

after hangout any call I got this warnings:

file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:442:5: QML Row: Binding loop detected for property "height"
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:442:5: QML Row: Binding loop detected for property "height"
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:463: ReferenceError: calls is not defined
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:478: ReferenceError: calls is not defined
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:229: Error: Cannot assign [undefined] to bool
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:104:17: Unable to assign QVariantMap to QObject*
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:41:32: Unable to assign [undefined] to bool
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:316:26: Unable to assign [undefined] to QString
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:37:27: Unable to assign [undefined] to bool
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:38:28: Unable to assign [undefined] to bool
file:///usr/share/dialer-app/LiveCallPage/LiveCall.qml:42:40: Unable to assign [undefined] to QString
void CallManager::onCallEnded()
file:///usr/share/dialer-app/LiveCallPage/MultiCallDisplay.qml:48: TypeError: Cannot read property of null
file:///usr/share/dialer-app/LiveCallPage/MultiCallDisplay.qml:49: TypeError: Cannot read property of null
UbuntuWindow::handleSurfaceFocusChange(focused=false)

Related branches

Bill Filler (bfiller) on 2014-09-26
Changed in dialer-app:
importance: Undecided → Medium
assignee: nobody → Gustavo Pichorim Boiko (boiko)
status: New → Triaged
tags: added: rtm14
tags: added: ota-1
Changed in dialer-app:
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dialer-app - 0.1+15.04.20141113-0ubuntu1

---------------
dialer-app (0.1+15.04.20141113-0ubuntu1) vivid; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Gustavo Pichorim Boiko ]
  * Add empty state in the history page. (LP: #1367325)
  * Do some basic QSceneGraph rendering optimizations.
  * Format timestamps according to the locale. (LP: #1375890)
  * Hide the SIM selector when in emergency mode. (LP: #1379386)
  * Fix a lot of warnings. (LP: #1368438)
  * Change live call control buttons to follow design. (LP: #1378006)
  * Make sure the livecall is always in a consistent state, even after
    being sigstopped. (LP: #1391324)
  * Switch dialer-app to fullscreen mode when running on top of the
    greeter. (LP: #1388156)

  [ Nick Dedekind ]
  * Only set the CallManager.callIndicatorVisible flag when
    CallManager.hasCalls. (LP: #1390098)

  [ Renato Araujo Oliveira Filho ]
  * Enable page to receive focus.
 -- Ubuntu daily release <email address hidden> Thu, 13 Nov 2014 14:41:25 +0000

Changed in dialer-app (Ubuntu):
status: New → Fix Released
Changed in dialer-app (Ubuntu RTM):
assignee: nobody → Gustavo Pichorim Boiko (boiko)
status: New → In Progress
Bill Filler (bfiller) on 2015-01-27
tags: added: ww07
Changed in canonical-devices-system-image:
importance: Undecided → High
milestone: none → ww07-2015
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dialer-app - 0.1+15.04.20150210~rtm-0ubuntu1

---------------
dialer-app (0.1+15.04.20150210~rtm-0ubuntu1) 14.09; urgency=medium

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Fix a lot of warnings. (LP: #1368438)
  * Do some basic QSceneGraph rendering optimizations. (LP: #1392400)
  * Change HistoryDetailsPage to display the exact phone number that was
    used on each call and populate the Dialpad accordingly. (LP:
    #1410500)
 -- Ubuntu daily release <email address hidden> Tue, 10 Feb 2015 18:11:03 +0000

Changed in dialer-app (Ubuntu RTM):
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
Changed in dialer-app:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers